Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.DefaultState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.DefaultState

Direct Known Subclasses:
  `RuleImpl.DefaultOffState`, `RuleImpl.DefaultOnState`

Enclosing class:
  RuleImpl

protected abstract class RuleImpl.DefaultState extends Object
Base class for code that depends on the state of `Rule.isDefault()`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DefaultState()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> ses)`
Creates a default trace mapping entry for the source values in `ses`, if applicable.
`abstract boolean`
`createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> teMapsTo, int seSize)`
Creates a default trace mapping entry for the source values in `teMapsTo`, if applicable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultState

protected DefaultState()

## Method Details

### createDefaultMapping

public abstract void createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> ses)
Creates a default trace mapping entry for the source values in `ses`, if applicable.

Parameters:
  `traces` - the trace link set to add the default traces to
  `ses` - the source values that serve as a the default trace key

### createDefaultMapping

public abstract boolean createDefaultMapping(TraceLinkSet traces, org.eclipse.emf.common.util.EList<SourceElement> teMapsTo, int seSize)
Creates a default trace mapping entry for the source values in `teMapsTo`, if applicable.

Parameters:
  `traces` - the trace link set to add the default traces to
  `teMapsTo` - the source values that serve as a the default trace key
  `seSize` - the amount of source elements for this rule
Returns:
  `true` iff default mappings are set for complete list of all source elements